Bug 519381 - QEMU driver should check for -soundhw support; qemu-system-sparc does not have soundhw support
Summary: QEMU driver should check for -soundhw support; qemu-system-sparc does not hav...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt
Version: unspecified
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-26 12:12 UTC by rschuster
Modified: 2015-04-09 10:08 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-09 10:08:01 UTC


Attachments (Terms of Use)

Description rschuster 2009-08-26 12:12:10 UTC
Description of problem:

Creation of a qemu sparc VM under Fedora x86_64 has two problems identified so far. 

LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin /usr/bin/qemu-system-sparc -S -M sun4m -m 512 -smp 1 -name sol-10-sparc -uuid 4a26f9b2-a9c6-bc7c-6574-c61249add10b -monitor pty -pidfile /var/run/libvirt/qemu//sol-10-sparc.pid -localtime -no-reboot -boot d -drive file=/var/lib/libvirt/images/sol-10-sparc-5.img,if=ide,index=0 -drive file=/dev/sr0,if=ide,media=cdrom,index=2 -net nic,macaddr=54:52:00:79:e5:1c,vlan=0 -net tap,fd=18,vlan=0 -serial pty -parallel none -usb -usbdevice tablet -vnc 127.0.0.1:0 -soundhw es1370
/usr/bin/qemu-system-sparc: invalid option -- '-soundhw'


-M sun4m should be one of 

qemu-system-sparc -M bob
Supported machines are:
SS-5       Sun4m platform, SPARCstation 5 (default)
sun4m      Sun4m platform, SPARCstation 10
SS-600MP   Sun4m platform, SPARCserver 600MP
SS-20      Sun4m platform, SPARCstation 20
SS-2       Sun4c platform, SPARCstation 2
Voyager    Sun4m platform, SPARCstation Voyager
LX         Sun4m platform, SPARCstation LX
SS-4       Sun4m platform, SPARCstation 4
SPARCClassic Sun4m platform, SPARCClassic
SPARCbook  Sun4m platform, SPARCbook
SS-1000    Sun4d platform, SPARCserver 1000
SS-2000    Sun4d platform, SPARCcenter 2000


And -soundhw doesn't work but it automatically generated by the VM manager GUI. 


Version-Release number of selected component (if applicable):

rpm -qa | grep qemu
qemu-system-x86-0.10.6-1.fc11.x86_64
qemu-img-0.10.6-1.fc11.x86_64
qemu-system-sparc-0.10.6-1.fc11.x86_64
qemu-common-0.10.6-1.fc11.x86_64
qemu-kvm-0.10.6-1.fc11.x86_64

rpm -qa | grep virt
virt-viewer-0.0.3-6.fc11.x86_64
python-virtinst-0.400.3-8.fc11.noarch
libvirt-0.6.2-14.fc11.x86_64
virt-manager-0.7.0-5.fc11.x86_64
libvirt-python-0.6.2-14.fc11.x86_64


How reproducible:

Everytime

Steps to Reproduce:
1. Attempt creation of a Solaris 10 Sparc VM under Fedora 11 x86_64

  
Actual results:

Fail


Expected results:

Success


Additional info:

I'd probably fix these problems myself if I were setup to do so.  

Slowly trying to get setup to fix problems myself.

Comment 1 Cole Robinson 2009-08-31 13:29:15 UTC
Hmm, I guess libvirt needs to make sure the emulator actually supports the soundhw option.

In the meantime, you can disable the sound device option in Edit->Preferences.

Reassigning to libvirt.

Comment 2 rschuster 2009-08-31 17:32:29 UTC
The virtual machine manager assumes -soundhw option during New or "Create a new virtual machine" which doesn't allow the creation of the new VM to complete. 

The "Create a new virtual machine" operation does not allow the user to specify options like sound hardware. 

As a result you cannot create a new sparc Solaris VM with virtual machine manager.  You never get to the point where you can remove the sound card from the VM because it never gets created. 


Also the -M option specified by the New operation is invalid. 


Who is the package maintainer for virt-manager?

I'm still in the process of setting up as a Fedora bug-zapper. 



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Cole Robinson 2009-09-01 14:48:00 UTC
Comment #2, you can work around the virt-manager sound issue by turning off sound devices for new VMs via Edit->Preferences.

The bug here is that if virt-manager requests a sound device, libvirt should make sure the qemu binary supports the -soundhw flag before adding it.

Not sure what you mean about the -M option: -M is a valid option, and the 'sun4m' value is a valid value.

Comment 4 Bug Zapper 2010-04-28 09:58:57 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Cole Robinson 2010-05-17 18:41:51 UTC
Still relevant, but moving to the upstream tracker since this isn't a big deal for fedora (and has workarounds).

Comment 6 Martin Kletzander 2015-04-09 10:08:01 UTC
New enough libvirt/qemu will not have these problems.  New enough libvirt uses '-device' with new enough qemu and qemu does have the sound support for some time there as well.  Closing as UPSTREAM, reopen if you disagree.


Note You need to log in before you can comment on or make changes to this bug.